logging:
  file: logs/user-service.log
  pattern:
    console: "%d %-5level %logger : %msg%n"
    file: "%d %-5level [%thread] %logger : %msg%n"
  level:
    org.springframework.web: ERROR
    com.howtodoinjava: DEBUG
    org.hibernate: ERROR

---

spring:
  profiles: dev-docker

  jpa:
    database: POSTGRESQL
    show-sql: true
    hibernate:
      ddl-auto: create-drop

  datasource:
    platform: postgres
    url: jdbc:postgresql://localhost:5432/keycloak_back_end_db
    username: user1
    password: 1234!*MyJea@99
    driverClassName: org.postgresql.Driver
    initialization-mode: always

# server: #to comment on local
#  port: 8081

management: #actuator not in use for integration test
  server:
    port: 0 #0 random port on local if more than 1 service else 8080
  endpoints:
    web:
      exposure:
        include: "*"
    shutdown:
      enabled: true

activemq:
  broker-url: "tcp://localhost:61616"
  user: "admin" #not in use
  password: "admin" #not in use

keycloak:
  realm: Sc-project
  auth-server-url: http://localhost:8099/auth/
  resource: sc-user
  public-client: false
  bearer-only: true
  cors: true

sc-properties:
  authServerUrl: http://localhost:8099/auth/
  authServerParameters: realms/Sc-project/protocol/openid-connect/token


eureka:
  client:
    serviceUrl:
      defaultZone: http://localhost:8761/eureka/

---

spring:
  profiles: dev-docker-integration #integration test

  jpa:
    database: POSTGRESQL
    show-sql: true
    hibernate:
      ddl-auto: create-drop

  datasource:
    platform: postgres
    url: jdbc:postgresql://35.208.214.143:5432/keycloak_back_end_db
    username: user1
    password: 1234!*MyJea@99
    driverClassName: org.postgresql.Driver
    initialization-mode: always

server: #to comment on local
 port: 8081

management: #actuator not in use for integration test
  server:
    port: 8080 #0 random port on local if more than 1 service else 8080
  endpoints:
    web:
      exposure:
        include: "*"
    shutdown:
      enabled: true

activemq:
  broker-url: "tcp://35.210.119.52:61616" #activemq server test from public gitlab
  user: "admin" #not in use
  password: "admin" #not in use

keycloak:
  realm: Sc-project
  auth-server-url: http://jeannory.ovh:8099/auth/
  resource: sc-user
  public-client: false
  bearer-only: true
  cors: true

sc-properties:
  authServerUrl: http://jeannory.ovh:8099/auth/
  authServerParameters: realms/Sc-project/protocol/openid-connect/token

eureka:
  client:
    serviceUrl:
      defaultZone: http://35.217.38.245:8761/eureka/

---

spring:
  profiles: dev-docker-integration-deploy #deployment

  jpa:
    database: POSTGRESQL
    show-sql: true
    hibernate:
      ddl-auto: create-drop

  datasource:
    platform: postgres
    url: jdbc:postgresql://localhost:5432/keycloak_back_end_db
    username: user1
    password: 1234!*MyJea@99
    driverClassName: org.postgresql.Driver
    initialization-mode: always

server: #to comment on local
 port: 8081

management: #actuator not in use for integration test
  server:
    port: 8080 #0 random port on local if more than 1 service else 8080
  endpoints:
    web:
      exposure:
        include: "*"
    shutdown:
      enabled: true

activemq:
  broker-url: "tcp://10.132.0.3:61616" #subnetwork-gcp
  user: "admin" #not in use
  password: "admin" #not in use

keycloak:
  realm: Sc-project
  auth-server-url: http://jeannory.ovh:8099/auth/
  resource: sc-user
  public-client: false
  bearer-only: true
  cors: true
  ssl-required: none

sc-properties:
  authServerUrl: http://jeannory.ovh:8099/auth/ #only for integration test
  authServerParameters: realms/Sc-project/protocol/openid-connect/token

eureka:
  client:
    serviceUrl:
      defaultZone: http://10.166.0.3:8761/eureka/
